Module java.security.sasl
Package javax.security.sasl

# Class SaslException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
javax.security.sasl.SaslException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AuthenticationException`

public class SaslException extends IOException
This class represents an error that has occurred when using SASL.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SaslException()`
  Constructs a new instance of `SaslException`.
  `SaslException(String detail)`
  Constructs a new instance of `SaslException` with a detailed message.
  `SaslException(String detail, Throwable ex)`
  Constructs a new instance of `SaslException` with a detailed message and a root exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  Returns the string representation of this exception.

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SaslException

    public SaslException()
    Constructs a new instance of `SaslException`. The root exception and the detailed message are null.

  - ### SaslException

    public SaslException(String detail)
    Constructs a new instance of `SaslException` with a detailed message. The root exception is null.
    Parameters:
      `detail` - A possibly null string containing details of the exception.
    See Also:
      - `Throwable.getMessage()`

  - ### SaslException

    public SaslException(String detail, Throwable ex)
    Constructs a new instance of `SaslException` with a detailed message and a root exception. For example, a SaslException might result from a problem with the callback handler, which might throw a NoSuchCallbackException if it does not support the requested callback, or throw an IOException if it had problems obtaining data for the callback. The SaslException's root exception would be then be the exception thrown by the callback handler.
    Parameters:
      `detail` - A possibly null string containing details of the exception.
      `ex` - A possibly null root exception that caused this exception.
    See Also:
      - `Throwable.getMessage()`
      - `Throwable.getCause()`

- ## Method Details

  - ### toString

    public String toString()
    Returns the string representation of this exception. The string representation contains this exception's class name, its detailed message, and if it has a root exception, the string representation of the root exception. This string representation is meant for debugging and not meant to be interpreted programmatically.
    Overrides:
      `toString` in class `Throwable`
    Returns:
      The non-null string representation of this exception.
    See Also:
      - `Throwable.getMessage()`